/*
 * Copyright (c) 2001 Vladimir Popov <jumbo@narod.ru>.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
/*
 * $Id: helper.c,v 1.10 2001/07/15 12:42:11 pva Exp $
 *
 * helper.c -- implementation of helper functions
 *
 */

#include <unistd.h>
#include <string.h>

extern char *pn;

void
draw_stick(int count) {
	switch ( count & 0x03 ) {
		case 0: write(1, "|", 1); break;
		case 1: write(1, "/", 1); break;
		case 2: write(1, "-", 1); break;
		case 3: write(1, "\\", 1); break;
	}
	write(1, "\r", 1);
}

/*
 * Put lpf and hpf into range [lf..hf]
 * if lpf > hpf then swap its values
 */
void
range(unsigned lf, unsigned *lpf, unsigned *hpf, unsigned hf) {
	/* forcing into range */
	if ( *lpf < lf ) *lpf = lf;
	if ( *lpf > hf ) *lpf = hf;

	if ( *hpf < lf ) *hpf = lf;
	if ( *hpf > hf ) *hpf = hf;

	/* swapping values */
	if ( *hpf < *lpf ) {
		unsigned buf = *lpf;
		*lpf = *hpf;
		*hpf = buf;
	}

	return;
}

void
mono_stub(void) {
	/* Does nothing */
	write(STDOUT_FILENO, pn, strlen(pn));
	write(STDOUT_FILENO, ": This driver does not support -m option\n", 41);
}

unsigned long
search_stub(unsigned long freq) {
	write(STDOUT_FILENO, pn, strlen(pn));
	write(STDOUT_FILENO, ": not implemented yet\n", 22);
	return 0;
}
