/*
 * Copyright (c) 2000, 2001 Vladimir Popov <jumbo@narod.ru>.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 *
 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
 * IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES
 * OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
 * IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
/*
 * $Id: radio.h,v 1.21 2001/05/09 15:26:29 pva Exp $
 *
 */

#ifndef RADIO_H__
#define RADIO_H__

int radio_init(char *drv);
int radio_cleanup(void);

int radio_info_drv(void);
unsigned long radio_info_port(void);
int radio_info_root(void);
char *radio_info_name(void);

unsigned long radio_scan(unsigned, unsigned, unsigned long, int, int);
void radio_detect(unsigned, unsigned, unsigned long);

int radio_get_port(void);
int radio_free_port(void);

int radio_get_state(void);

void radio_set_frequency(unsigned long);
unsigned long radio_search_up(unsigned long);
unsigned long radio_search_down(unsigned long);
/* Hardware volume management */
void radio_mute(void);
void radio_set_mono(void);
void radio_volume_up(void);
void radio_volume_down(void);

int radio_mixer_init(void);
int radio_mixer_cleanup(void);
void radio_mixer_mute(void);
int radio_mixer_set_volume(char *);
int radio_mixer_update_volume(char *);

#define ERADIO_INVL		0xFFFF
#define ERADIO_NONE		0x0000

#endif /* RADIO_H__ */
